Update a fundraising donor

Updates donor identity, contact, payer, address, and fundraising preference fields for the selected SchoolSet donor.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Numeric SchoolSet fundraising donor identifier.

Request

This endpoint expects an object.
first_namestring or nullOptional
last_namestring or nullOptional
emailstring or nullOptionalformat: "email"
cell_phonestring or nullOptional
home_phonestring or nullOptional
work_phonestring or nullOptional
addressmap from strings to any or nullOptional
fundraising_donor_type_idinteger or nullOptional
titlestring or nullOptional
suffixstring or nullOptional
hebrew_first_namestring or nullOptional
hebrew_last_namestring or nullOptional
marital_status_idinteger or nullOptional
maiden_namestring or nullOptional
genderstring or nullOptional
dobdate or nullOptional
spouse_parent_idinteger or nullOptional
payer_idinteger or nullOptional
payer_typeenum or nullOptional
company_namestring or nullOptional
employer_namestring or nullOptional
employer_numberstring or nullOptional
job_descriptionstring or nullOptional
vipboolean or nullOptional
donation_receipt_not_allowedboolean or nullOptional
processing_fee_blockedboolean or nullOptional
notesstring or nullOptional

Response

The donor was updated and returned as a SchoolSet resource.
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error